Get an activity
curl --request GET \
--url https://api.metal.ai/v1/activities/{id} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/activities/{id}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/activities/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"subject": "Intro call with management",
"type": "Meeting",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"deals": [
"<string>"
],
"relatedResources": [
{
"id": "<string>",
"type": "<string>"
}
],
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"isPrivate": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Get an activity
Retrieves a single activity by id.
GET
/
v1
/
activities
/
{id}
Get an activity
curl --request GET \
--url https://api.metal.ai/v1/activities/{id} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/activities/{id}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/activities/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"subject": "Intro call with management",
"type": "Meeting",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"type": "<string>"
}
],
"deals": [
"<string>"
],
"relatedResources": [
{
"id": "<string>",
"type": "<string>"
}
],
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"isPrivate": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The activity id.
Response
Retrieves a single activity by id.
Show child attributes
Show child attributes
⌘I

